From 078ca2477ed39b39ab9df8d7a7b370346c1d8140 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Apr 17 2023 15:51:58 +0000
Subject: Update F-38 IoT for stable


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index e3252a8..a2845dc 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -219,9 +219,9 @@ osbuild = {
         "image_types": ["iot-raw-image"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-38/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/38/Fedora-38-20230413.1/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/devel/$arch/iot",
+        "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
       },
       {
@@ -231,9 +231,9 @@ osbuild = {
         "image_types": ["iot-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-38/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/38/Fedora-38-20230413.1/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/devel/$arch/iot",
+        "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
       },
  ],
@@ -249,11 +249,11 @@ ostree = [
             "config_branch": "f38",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-38/compose/Everything/$basearch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/38/Fedora-38-20230413.1/compose/Everything/$basearch/os/"
             ]
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/devel/${basearch}/iot",
+            "ostree_ref": "fedora/stable/${basearch}/iot",
             "update_summary": True,
         },
         "x86_64": {
@@ -264,11 +264,11 @@ ostree = [
             "config_branch": "f38",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-38/compose/Everything/$basearch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/38/Fedora-38-20230413.1/compose/Everything/$basearch/os/"
             ]
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/devel/${basearch}/iot",
+            "ostree_ref": "fedora/stable/${basearch}/iot",
             "update_summary": True,
         }
     })
@@ -279,7 +279,7 @@ ostree_installer = [
         "aarch64": {
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-38/compose/Everything/$arch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/38/Fedora-38-20230413.1/compose/Everything/$arch/os/"
             ],
             "release": None,
             "rootfs_size": "4",
@@ -291,8 +291,8 @@ ostree_installer = [
                 "ostree_osname=fedora-iot",
                 "ostree_oskey=fedora-38-primary",
                 "ostree_contenturl=mirrorlist=https://ostree.fedoraproject.org/iot/mirrorlist",
-                "ostree_install_ref=fedora/devel/aarch64/iot",
-                "ostree_update_ref=fedora/devel/aarch64/iot",
+                "ostree_install_ref=fedora/stable/aarch64/iot",
+                "ostree_update_ref=fedora/stable/aarch64/iot",
             ],
             'template_repo': 'https://pagure.io/fedora-lorax-templates.git',
             'template_branch': 'f38',
@@ -300,7 +300,7 @@ ostree_installer = [
         "x86_64": {
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-38/compose/Everything/$arch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/38/Fedora-38-20230413.1/compose/Everything/$arch/os/"
             ],
             "release": None,
             "rootfs_size": "4",
@@ -312,8 +312,8 @@ ostree_installer = [
                 "ostree_osname=fedora-iot",
                 "ostree_oskey=fedora-38-primary",
                 "ostree_contenturl=mirrorlist=https://ostree.fedoraproject.org/iot/mirrorlist",
-                "ostree_install_ref=fedora/devel/x86_64/iot",
-                "ostree_update_ref=fedora/devel/x86_64/iot",
+                "ostree_install_ref=fedora/stable/x86_64/iot",
+                "ostree_update_ref=fedora/stable/x86_64/iot",
             ],
             'template_repo': 'https://pagure.io/fedora-lorax-templates.git',
             'template_branch': 'f38',
diff --git a/twoweek-nightly.sh b/twoweek-nightly.sh
index 0200c45..ddf149c 100755
--- a/twoweek-nightly.sh
+++ b/twoweek-nightly.sh
@@ -49,6 +49,9 @@ if [ "$?" != "0" ]; then
 fi
 ostree summary --update --repo=/mnt/koji/compose/iot/repo/
 
+# Exit now we're post release
+exit 1
+
 NEWCOMPOSE_ID=$(cat $TARGET_DIR/latest-$SHORT-$RELEASE_TITLE/COMPOSE_ID)
 SHORTCOMPOSE_ID=$(echo $NEWCOMPOSE_ID|sed -e 's|Fedora-.*-||g')
 

